2007-09-29 15:57  Olivier Blin <oblin at mandriva.com>

	* draklive: do not run service_harddrake stop anymore, it does not
	  exist in 2008.0

2007-09-25 15:20  Olivier Blin <oblin at mandriva.com>

	* draklive: fix typo

2007-09-25 14:05  Olivier Blin <oblin at mandriva.com>

	* draklive: add newlines in die messages, not to trigger the
	  infamous drakbug

2007-09-25 13:55  Olivier Blin <oblin at mandriva.com>

	* draklive: print usage if no option is specified

2007-09-25 10:31  Olivier Blin <oblin at mandriva.com>

	* draklive: fix division by zero /o\

2007-09-19 14:53  Olivier Blin <oblin at mandriva.com>

	* draklive: copy additional modules after plain modules, so that
	  they can overwrite them

2007-09-19 14:53  Olivier Blin <oblin at mandriva.com>

	* draklive: fix additional modules copy

2007-09-03 08:44  Olivier Blin <oblin at mandriva.com>

	* draklive: please perl_checker

2007-09-03 08:42  Olivier Blin <oblin at mandriva.com>

	* draklive: don't check symlinks when looking for kernels (fix
	  matching vmlinuz-tmb-desktop586)

2007-09-03 08:41  Olivier Blin <oblin at mandriva.com>

	* draklive: simplify

2007-08-28 08:52  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to copy per-fs files in mkinitrd

2007-08-28 08:50  Olivier Blin <oblin at mandriva.com>

	* draklive: move mount actions in a storage_fs hash

2007-08-28 08:49  Olivier Blin <oblin at mandriva.com>

	* .perl_checker: supplement perl_checker blacklist

2007-08-28 08:41  Olivier Blin <oblin at mandriva.com>

	* draklive: run mkdevices to create nodes for existing devices

2007-08-28 08:40  Olivier Blin <oblin at mandriva.com>

	* draklive: fix typo

2007-08-28 08:39  Olivier Blin <oblin at mandriva.com>

	* draklive: move modules mount point in new root

2007-08-28 08:39  Olivier Blin <oblin at mandriva.com>

	* draklive: cosmetics

2007-08-28 08:38  Olivier Blin <oblin at mandriva.com>

	* draklive: remove more dirs

2007-08-28 08:35  Olivier Blin <oblin at mandriva.com>

	* draklive: add a new is_loopback variable to better list selected
	  loopbacks

2007-08-28 08:33  Olivier Blin <oblin at mandriva.com>

	* draklive: create less loop devices by default

2007-08-28 08:23  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to specify ro unionfs branches

2007-08-28 08:19  Olivier Blin <oblin at mandriva.com>

	* draklive: make bootloader timeout configurable

2007-08-28 08:16  Olivier Blin <oblin at mandriva.com>

	* draklive: fix unionfs branches list by removing trailing colon
	  (for unionfs2)

2007-08-28 08:15  Olivier Blin <oblin at mandriva.com>

	* draklive: make boot and loopbacks read-only

2007-08-28 08:15  Olivier Blin <oblin at mandriva.com>

	* draklive: mark hidden files hidden only

2007-07-16 12:56  Olivier Blin <oblin at mandriva.com>

	* draklive: fix vfat check...

2007-06-12 09:47  Olivier Blin <oblin at mandriva.com>

	* draklive: oops, I really meant vfat when stripping labels for
	  nash

2007-06-11 15:26  Olivier Blin <oblin at mandriva.com>

	* draklive: add a get_media_source_for_nash functions that formats
	  ext2 labels accordingly

2007-06-07 16:33  Olivier Blin <oblin at mandriva.com>

	* draklive: do not select modules directory together with loopbacks

2007-06-07 14:43  Olivier Blin <oblin at mandriva.com>

	* draklive: hidden_files is a better name

2007-06-07 14:42  Olivier Blin <oblin at mandriva.com>

	* draklive: hide more autorun files

2007-06-07 09:47  Olivier Blin <oblin at mandriva.com>

	* draklive: remove multi squash union, better replaced with modules

2007-06-07 09:47  Olivier Blin <oblin at mandriva.com>

	* draklive: use modules in volatile_squash_union mounts

2007-06-07 09:41  Olivier Blin <oblin at mandriva.com>

	* draklive: fix extra files selection in cdrom master

2007-06-05 18:57  Olivier Blin <oblin at mandriva.com>

	* draklive: perl_checker fixes

2007-06-05 18:57  Olivier Blin <oblin at mandriva.com>

	* draklive: only run mattrib for vfat

2007-06-05 18:55  Olivier Blin <oblin at mandriva.com>

	* draklive: also hide autorun.inf (yes, hardcode it)

2007-06-05 18:54  Olivier Blin <oblin at mandriva.com>

	* draklive: hide all files begining with a dot on USB media

2007-06-05 11:54  Olivier Blin <oblin at mandriva.com>

	* draklive: do not copy extra media files in boot images

2007-06-05 07:17  Olivier Blin <oblin at mandriva.com>

	* draklive: add a glob wrapper that dotglob behavior and expand
	  only if needed

2007-06-05 01:12  Olivier Blin <oblin at mandriva.com>

	* draklive: protect rm_rf from die

2007-06-04 15:48  Olivier Blin <oblin at mandriva.com>

	* draklive: run mattrib with MTOOLS_SKIP_CHECK

2007-06-04 15:48  Olivier Blin <oblin at mandriva.com>

	* draklive: create mtools_run_

2007-06-04 14:49  Olivier Blin <oblin at mandriva.com>

	* draklive: use glob_ to match dot files (since File::Glob does not
	  provide a dotglob option)

2007-05-31 15:14  Olivier Blin <oblin at mandriva.com>

	* draklive: revert to initrd + pivot_root (or else unionfs panicks
	  in unionfs_file_revalidate when using unionctl in new root)

2007-05-31 13:39  Olivier Blin <oblin at mandriva.com>

	* draklive: modify custom nfs syntax

2007-05-31 13:38  Olivier Blin <oblin at mandriva.com>

	* draklive: oops, add back mountpoint

2007-05-31 13:36  Olivier Blin <oblin at mandriva.com>

	* draklive: use modules source for squash_union

2007-05-31 13:35  Olivier Blin <oblin at mandriva.com>

	* draklive: add modules source type

2007-05-31 13:19  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to get loopbacks list from a file

2007-05-31 13:16  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to delay mount of specific loopbacks

2007-05-31 12:29  Olivier Blin <oblin at mandriva.com>

	* draklive: try to get interactive debug shell

2007-05-31 12:08  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to specify module options in
	  $live->{system}{module_options}

2007-05-31 12:06  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to use real glob patterns in
	  live->{system}{remove_files}

2007-05-31 12:05  Olivier Blin <oblin at mandriva.com>

	* draklive: fix directory creation when dest is a dir in
	  copy_files_to

2007-05-31 12:04  Olivier Blin <oblin at mandriva.com>

	* draklive: clean build files before creating new ones

2007-05-29 16:39  Olivier Blin <oblin at mandriva.com>

	* draklive: pre-create devfsd compatibility loop devices (since
	  busybox is still built with devfsd support)

2007-05-29 16:37  Olivier Blin <oblin at mandriva.com>

	* draklive: pre-create more loop devices

2007-05-26 17:39  Olivier Blin <oblin at mandriva.com>

	* draklive: modify loopback modules syntax to be compatible with
	  file list expansion

2007-05-26 17:38  Olivier Blin <oblin at mandriva.com>

	* draklive: copy resolv.conf in chroot for urpmi to work (and clean
	  it at end of post-install)

2007-05-25 16:32  Olivier Blin <oblin at mandriva.com>

	* draklive: fix excluded loopback path

2007-05-21 13:14  Olivier Blin <oblin at mandriva.com>

	* draklive: pass opts when formatting

2007-05-21 13:13  Olivier Blin <oblin at mandriva.com>

	* draklive: fix typo...

2007-05-21 13:12  Olivier Blin <oblin at mandriva.com>

	* draklive: make optional device usage more consistent

2007-05-21 13:05  Olivier Blin <oblin at mandriva.com>

	* draklive: remove extra media support

2007-05-21 13:02  Olivier Blin <oblin at mandriva.com>

	* draklive: fix some typos

2007-05-21 13:02  Olivier Blin <oblin at mandriva.com>

	* draklive: remove optional media support

2007-05-17 22:07  Olivier Blin <oblin at mandriva.com>

	* draklive: move new root mount point in /sysroot, so that live dir
	  can be properly removed from initramfs

2007-05-16 22:07  Olivier Blin <oblin at mandriva.com>

	* draklive: remove more initrd relics

2007-05-16 22:06  Olivier Blin <oblin at mandriva.com>

	* draklive: use busybox's mkdir since nash's "mkdir -p" does not
	  have the standard behavior

2007-05-16 21:02  Olivier Blin <oblin at mandriva.com>

	* draklive: fix silly typo

2007-05-16 20:48  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to include loopback modules in master images by
	  defining modules sets in live->{packs} and selecting them from
	  live->{settings}{pack}

2007-05-16 20:42  Olivier Blin <oblin at mandriva.com>

	* draklive: define /modules in prefix hash

2007-05-16 20:40  Olivier Blin <oblin at mandriva.com>

	* draklive: make directory path prefixed by / (to make subpath
	  usage easier)

2007-05-16 20:38  Olivier Blin <oblin at mandriva.com>

	* draklive: rename directory "location" field as "path"

2007-05-16 20:31  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to create loopback modules from
	  live->{loopbacks}{modules} (to be used for separate i18n
	  loopbacks)

2007-05-16 20:25  Olivier Blin <oblin at mandriva.com>

	* draklive: archive excluded files list as loopback type defined by
	  live->{loopbacks}{exclude}{type}} instead of tarball

2007-05-16 20:23  Olivier Blin <oblin at mandriva.com>

	* draklive: use hardlink_filtered to build excluded files tarball

2007-05-16 20:18  Olivier Blin <oblin at mandriva.com>

	* draklive: add hardlink_filtered function to hardlink recursively
	  file list to a directory (using rsync --files-from --link-dest)

2007-05-16 20:14  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to use glob when expand file list

2007-05-16 20:14  Olivier Blin <oblin at mandriva.com>

	* draklive: protect deref

2007-05-16 20:13  Olivier Blin <oblin at mandriva.com>

	* draklive: rename live->{loopbacks}{exclude_files} as
	  live->{loopbacks}{exclude}{files}

2007-05-16 20:12  Olivier Blin <oblin at mandriva.com>

	* draklive: transform list_excluded_files as more generic
	  expand_file_list

2007-05-16 20:10  Olivier Blin <oblin at mandriva.com>

	* draklive: pass excluded files list in loopback directory hash to
	  allow refined exclusion

2007-05-16 20:03  Olivier Blin <oblin at mandriva.com>

	* draklive: really set bootlogo variable (and simplify)

2007-05-16 19:56  Olivier Blin <oblin at mandriva.com>

	* draklive: add extension for some loopback types

2007-05-16 19:42  Olivier Blin <oblin at mandriva.com>

	* draklive: add list_selected_loopbacks() function

2007-05-16 19:35  Olivier Blin <oblin at mandriva.com>

	* draklive: copy only selected loopbacks in master image

2007-05-16 19:29  Olivier Blin <oblin at mandriva.com>

	* draklive: allow to build squashfs with prefix different from
	  chroot

2007-05-16 19:26  Olivier Blin <oblin at mandriva.com>

	* draklive: differentiate squashfs source and prefix to be able to
	  build from sources != '/'

2007-05-16 19:23  Olivier Blin <oblin at mandriva.com>

	* draklive: create loopbacks directory in indivual build functions
	  and not on top directory (they may have to create subdirs anyway)

2007-05-16 19:20  Olivier Blin <oblin at mandriva.com>

	* draklive: really use $dir variable and not indefinite $_

2007-05-16 19:17  Olivier Blin <oblin at mandriva.com>

	* draklive: rename directory "source" field as "location"

2007-05-16 19:01  Olivier Blin <oblin at mandriva.com>

	* draklive: use initramfs instead of initrd

2007-05-16 18:57  Olivier Blin <oblin at mandriva.com>

	* draklive: rename create_initrd_linuxrc as create_initrd_scriptlet

2007-05-02 11:56  Olivier Blin <oblin at mandriva.com>

	* draklive: pre-create tarballs directory

2007-05-02 09:48  Olivier Blin <oblin at mandriva.com>

	* draklive: perl_checker fix

2007-05-02 09:47  Olivier Blin <oblin at mandriva.com>

	* draklive: include media files on CD as well

2007-05-02 09:46  Olivier Blin <oblin at mandriva.com>

	* draklive: move media files copy in post-install step

2007-05-02 09:45  Olivier Blin <oblin at mandriva.com>

	* draklive: move umask restoration at end of post-install

2007-05-02 09:23  Olivier Blin <oblin at mandriva.com>

	* ., .perl_checker, Makefile, NEWS, draklive,
	  draklive-copy-wizard.desktop: reimport draklive in SVN

